import React from "react";
import { Dialog, DialogContent, DialogTitle } from "@mui/material";

export function LogDialog({ open, setOpen, title, content }) {
  const handleClose = () => {
    setOpen(false);
  };

  return (
    <Dialog
      open={open}
      onClose={handleClose}
      fullWidth
      maxWidth="xl"
      // TODO: Replace with common element
      // styles appear to match...
      sx={{
        "& .MuiDialogTitle-root": {
          backgroundColor: "primary.main",
          color: "essWhite.main"
        }
      }}
    >
      <DialogTitle id="log-dialog-title">{title}</DialogTitle>
      <DialogContent>{content}</DialogContent>
    </Dialog>
  );
}
